{
  "format_version": "1.18.10",
  "minecraft:recipe_shaped": {
    "description": {
      "identifier": "iron_furnaces:diamond_furnace_item"
    },
    "tags": [
      "crafting_table"
    ],
    "pattern": [
      "###",
      "YXY",
      "###"
    ],
    "key": {
      "#": {
        "item": "minecraft:diamond"
      },
      "X": {
        "item": "iron_furnaces:gold_furnace_item"
      },
      "Y": {
        "item": "minecraft:glass"
      }
    },
    "result": [
      {
        "item": "iron_furnaces:diamond_furnace_item",
        "count": 1
      }
    ]
  }
}